// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain images from openclipart.org

class Cat : public IFourLeggedCharacter
{
	public:

		// additional parts
		Part Tail;
		Part RightEar;
		Part LeftEar;
		Part RightWhiskers;
		Part LeftWhiskers;

		// default constructor to register character, parts and decals
		Cat () : IFourLeggedCharacter ()
		{
			Tail.RegisterParent ( Body );
			LeftEar.RegisterParent ( Head );
			RightEar.RegisterParent ( Head );
			LeftWhiskers.RegisterParent ( Head );
			RightWhiskers.RegisterParent ( Head );

			Register ( 300, 200, 168, 194 );

			RegisterPart ( RightRearLeg, "cat/RightRearLeg.svg", 22, 6, 190, 145 );
			RegisterPart ( RightFrontLeg, "cat/RightFrontLeg.svg", -27, 2, 141, 141 );
			RegisterPart ( Tail, "cat/Tail.svg", 38, -20, 206, 119 );
			RegisterPart ( Body, "cat/Body.svg", 0, -55, 168, 139 );
			RegisterPart ( RightEar, "cat/RightEar.svg", -56, -72, 65, 38 );
			RegisterPart ( LeftEar, "cat/LeftEar.svg", 33, -77, 154, 33 );
			RegisterPart ( Head, "cat/Head.svg", -47, -29, 121, 110 );
			RegisterPart ( RightEye, "cat/RightEye.svg", -23, -49, 98, 61 );
			RegisterPart ( LeftEye, "cat/LeftEye.svg", 4, -56, 125, 54 );
			RegisterPart ( Mouth, "cat/Mouth.svg", -5, -3, 116, 107 );
			RegisterPart ( RightWhiskers, "cat/RightWhiskers.svg", -27, -20, 94, 90 );
			RegisterPart ( LeftWhiskers, "cat/LeftWhiskers.svg", 20, -29, 141, 81 );
			RegisterPart ( LeftFrontLeg, "cat/LeftFrontLeg.svg", -12, 5, 156, 144 );
			RegisterPart ( LeftRearLeg, "cat/LeftRearLeg.svg", 32, 0, 200, 139 );

			Mouth.RegisterDecal ( "SPEAK_M", "cat/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "cat/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "cat/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "cat/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "cat/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "cat/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "cat/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "cat/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "cat/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.6, 0.8, 1 );
		}
};